Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

## Class MandateRelatedInformation15

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_12.MandateRelatedInformation15

    public class MandateRelatedInformation15
    extends java.lang.Object

Java class for MandateRelatedInformation15 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MandateRelatedInformation15">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MndtId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max35Text" minOccurs="0"/>
             <element name="DtOfSgntr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ISODate" minOccurs="0"/>
             <element name="AmdmntInd" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}TrueFalseIndicator" minOccurs="0"/>
             <element name="AmdmntInfDtls" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}AmendmentInformationDetails14" minOccurs="0"/>
             <element name="ElctrncSgntr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max1025Text" minOccurs="0"/>
             <element name="FrstColltnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ISODate" minOccurs="0"/>
             <element name="FnlColltnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ISODate" minOccurs="0"/>
             <element name="Frqcy" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Frequency36Choice" minOccurs="0"/>
             <element name="Rsn" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}MandateSetupReason1Choice" minOccurs="0"/>
             <element name="TrckgDays" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Exact2NumericText" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.Boolean` `amdmntInd`
`protected AmendmentInformationDetails14` `amdmntInfDtls`
`protected javax.xml.datatype.XMLGregorianCalendar` `dtOfSgntr`
`protected java.lang.String` `elctrncSgntr`
`protected javax.xml.datatype.XMLGregorianCalendar` `fnlColltnDt`
`protected Frequency36Choice` `frqcy`
`protected javax.xml.datatype.XMLGregorianCalendar` `frstColltnDt`
`protected java.lang.String` `mndtId`
`protected MandateSetupReason1Choice` `rsn`
`protected java.lang.String` `trckgDays`

### Constructor Summary

Constructors
`MandateRelatedInformation15()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AmendmentInformationDetails14` `getAmdmntInfDtls()` Gets the value of the amdmntInfDtls property.
`javax.xml.datatype.XMLGregorianCalendar` `getDtOfSgntr()` Gets the value of the dtOfSgntr property.
`java.lang.String` `getElctrncSgntr()` Gets the value of the elctrncSgntr property.
`javax.xml.datatype.XMLGregorianCalendar` `getFnlColltnDt()` Gets the value of the fnlColltnDt property.
`Frequency36Choice` `getFrqcy()` Gets the value of the frqcy property.
`javax.xml.datatype.XMLGregorianCalendar` `getFrstColltnDt()` Gets the value of the frstColltnDt property.
`java.lang.String` `getMndtId()` Gets the value of the mndtId property.
`MandateSetupReason1Choice` `getRsn()` Gets the value of the rsn property.
`java.lang.String` `getTrckgDays()` Gets the value of the trckgDays property.
`java.lang.Boolean` `isAmdmntInd()` Gets the value of the amdmntInd property.
`void` `setAmdmntInd​(java.lang.Boolean value)` Sets the value of the amdmntInd property.
`void` `setAmdmntInfDtls​(AmendmentInformationDetails14 value)` Sets the value of the amdmntInfDtls property.
`void` `setDtOfSgntr​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the dtOfSgntr property.
`void` `setElctrncSgntr​(java.lang.String value)` Sets the value of the elctrncSgntr property.
`void` `setFnlColltnDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the fnlColltnDt property.
`void` `setFrqcy​(Frequency36Choice value)` Sets the value of the frqcy property.
`void` `setFrstColltnDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the frstColltnDt property.
`void` `setMndtId​(java.lang.String value)` Sets the value of the mndtId property.
`void` `setRsn​(MandateSetupReason1Choice value)` Sets the value of the rsn property.
`void` `setTrckgDays​(java.lang.String value)` Sets the value of the trckgDays property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mndtId

    protected java.lang.String mndtId

#### dtOfSgntr

    protected javax.xml.datatype.XMLGregorianCalendar dtOfSgntr

#### amdmntInd

    protected java.lang.Boolean amdmntInd

#### amdmntInfDtls

    protected AmendmentInformationDetails14 amdmntInfDtls

#### elctrncSgntr

    protected java.lang.String elctrncSgntr

#### frstColltnDt

    protected javax.xml.datatype.XMLGregorianCalendar frstColltnDt

#### fnlColltnDt

    protected javax.xml.datatype.XMLGregorianCalendar fnlColltnDt

#### frqcy

    protected Frequency36Choice frqcy

#### rsn

    protected MandateSetupReason1Choice rsn

#### trckgDays

    protected java.lang.String trckgDays

### Constructor Detail

#### MandateRelatedInformation15

    public MandateRelatedInformation15()

### Method Detail

#### getMndtId

    public java.lang.String getMndtId()

Gets the value of the mndtId property.

Returns:
  possible object is `String`

#### setMndtId

    public void setMndtId​(java.lang.String value)

Sets the value of the mndtId property.

Parameters:
  `value` - allowed object is `String`

#### getDtOfSgntr

    public javax.xml.datatype.XMLGregorianCalendar getDtOfSgntr()

Gets the value of the dtOfSgntr property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setDtOfSgntr

    public void setDtOfSgntr​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the dtOfSgntr property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### isAmdmntInd

    public java.lang.Boolean isAmdmntInd()

Gets the value of the amdmntInd property.

Returns:
  possible object is `Boolean`

#### setAmdmntInd

    public void setAmdmntInd​(java.lang.Boolean value)

Sets the value of the amdmntInd property.

Parameters:
  `value` - allowed object is `Boolean`

#### getAmdmntInfDtls

    public AmendmentInformationDetails14 getAmdmntInfDtls()

Gets the value of the amdmntInfDtls property.

Returns:
  possible object is `AmendmentInformationDetails14`

#### setAmdmntInfDtls

    public void setAmdmntInfDtls​(AmendmentInformationDetails14 value)

Sets the value of the amdmntInfDtls property.

Parameters:
  `value` - allowed object is `AmendmentInformationDetails14`

#### getElctrncSgntr

    public java.lang.String getElctrncSgntr()

Gets the value of the elctrncSgntr property.

Returns:
  possible object is `String`

#### setElctrncSgntr

    public void setElctrncSgntr​(java.lang.String value)

Sets the value of the elctrncSgntr property.

Parameters:
  `value` - allowed object is `String`

#### getFrstColltnDt

    public javax.xml.datatype.XMLGregorianCalendar getFrstColltnDt()

Gets the value of the frstColltnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setFrstColltnDt

    public void setFrstColltnDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the frstColltnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getFnlColltnDt

    public javax.xml.datatype.XMLGregorianCalendar getFnlColltnDt()

Gets the value of the fnlColltnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setFnlColltnDt

    public void setFnlColltnDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the fnlColltnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getFrqcy

    public Frequency36Choice getFrqcy()

Gets the value of the frqcy property.

Returns:
  possible object is `Frequency36Choice`

#### setFrqcy

    public void setFrqcy​(Frequency36Choice value)

Sets the value of the frqcy property.

Parameters:
  `value` - allowed object is `Frequency36Choice`

#### getRsn

    public MandateSetupReason1Choice getRsn()

Gets the value of the rsn property.

Returns:
  possible object is `MandateSetupReason1Choice`

#### setRsn

    public void setRsn​(MandateSetupReason1Choice value)

Sets the value of the rsn property.

Parameters:
  `value` - allowed object is `MandateSetupReason1Choice`

#### getTrckgDays

    public java.lang.String getTrckgDays()

Gets the value of the trckgDays property.

Returns:
  possible object is `String`

#### setTrckgDays

    public void setTrckgDays​(java.lang.String value)

Sets the value of the trckgDays property.

Parameters:
  `value` - allowed object is `String`